package app18a.action;

import app18a.dao.CustomerDAO;
import app18a.dao.DAOFactory;
import app18a.form.CustomerForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

public class DeleteCustomerAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) {

    ActionMessages actionMessages = new ActionMessages();
    
  	CustomerForm customerForm = (CustomerForm) form;
  	String customerId = request.getParameter("customerId");
  	
    CustomerDAO customerDAO = DAOFactory.getInstance().getCustomerDAO();
    try {        
      customerDAO.deleteCustomer(Integer.parseInt(customerId));
      actionMessages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("success.delete"));
      saveMessages(request, actionMessages);
      return (mapping.findForward("success"));
    }
    catch (Exception ex) {
      actionMessages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("failed.delete"));
      saveMessages(request, actionMessages);
      return (mapping.findForward("failed"));
    }     
  }
}
